# Interface FeatureBlockInterface<R, L>

#### Type Parameters

- #### R

- #### L

#### Hierarchy

- FeatureBlockInterface

- Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:24

#####
Index

### Properties

blockId
blockShortName?
blockTitle?
featureViewConfig

## Properties

### blockId

blockId: string

- Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:25

### `Optional` blockShortName

blockShortName?: string

- Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:27

### `Optional` blockTitle

blockTitle?: string

- Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:26

### featureViewConfig

featureViewConfig: FeatureViewInterface<R, L> | FeatureViewInterface<R, L>[]

- Defined in src/RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:28

Generated using TypeDoc